be.fgov.ehealth.rn.commons.business.v1

## Class InformationType

- java.lang.Object
- - be.fgov.ehealth.rn.commons.business.v1.InformationType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:16:59+01:00",
                 comments="JAXB RI v2.2.11")
      public class InformationType
      extends Object
      implements Serializable

  Java class for InformationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="InformationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="FieldName">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="64"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="FieldValue" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="256"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InformationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFieldName()` Gets the value of the fieldName property.
    `String` | `getFieldValue()` Gets the value of the fieldValue property.
    `void` | `setFieldName(String value)` Sets the value of the fieldName property.
    `void` | `setFieldValue(String value)` Sets the value of the fieldValue property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InformationType

          public InformationType()

  - ### Method Detail

    - #### getFieldName

          public String getFieldName()

      Gets the value of the fieldName property.
      Returns:
        possible object is `String`

    - #### setFieldName

          public void setFieldName(String value)

      Sets the value of the fieldName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFieldValue

          public String getFieldValue()

      Gets the value of the fieldValue property.
      Returns:
        possible object is `String`

    - #### setFieldValue

          public void setFieldValue(String value)

      Sets the value of the fieldValue property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.